<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.collabnet.soap-sdk</groupId>
        <artifactId>soap-sdk</artifactId>
        <version>18.3.621</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
    <groupId>com.collabnet.soap-sdk</groupId>
    <artifactId>event-examples</artifactId>
    <packaging>pom</packaging>
    <name>Event Examples</name>
    <modules>
        <module>hooks</module>
        <module>project-create-event-listener</module>
        <module>association-converter</module>
        <module>repository-create-event-listener</module>
    </modules>
    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-jar-plugin</artifactId>
                    <version>3.1.0</version>
                    <configuration>
                        <archive>
                            <addMavenDescriptor>false</addMavenDescriptor>
                        </archive>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.7.0</version>
                    <configuration>
                        <source>1.8</source>
                        <target>1.8</target>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.java</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/event.xml</include>
                </includes>
            </resource>
        </resources>
    </build>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.collabnet.event-sdk</groupId>
                <artifactId>event</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.collabnet.ctf</groupId>
                <artifactId>soap60</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.collabnet.ctf</groupId>
                <artifactId>soap60</artifactId>
                <type>javadoc</type>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>
